import React, { useRef, useEffect, useState } from 'react';
import mapboxgl from '!mapbox-gl'; // eslint-disable-line import/no-webpack-loader-syntax
 
// Default public token
// https://account.mapbox.com/
// it may ask for YOUR_MAPBOX_ACCESS_TOKEN
mapboxgl.accessToken = 'pk.eyJ1IjoiamF5ZGVlcDAwMyIsImEiOiJjbHFvd3J2cjMwdGRkMmtzYmluNG1paTBlIn0.vLZhJr73sCmTgFuIL0SITQ'

export default class App extends React.PureComponent {

    constructor(props) {
        super(props);
        this.state = {
          lng: -70.9,
          lat: 42.35,
          zoom: 9
        };
        this.mapContainer = React.createRef();
      }

      componentDidMount() {
        const { lng, lat, zoom } = this.state;
        const map = new mapboxgl.Map({
          container: this.mapContainer.current,
          style: 'mapbox://styles/mapbox/streets-v12',
          center: [lng, lat],
          zoom: zoom
        });
      }

      render() {
        return (
          <div>
            <div ref={this.mapContainer} className="map-container" />
          </div>
        );
      }
}